#include "mbed.h"
#include "QEI.h"

DigitalOut myled(LED1);
Serial pc(USBTX, USBRX, 115200);

QEI wheel(D11, D12, NC, 48, QEI::X4_ENCODING);

int main()
{    
    int j=0;
    while(1){
        myled = !myled;
        pc.printf("[%d] Pulses %i, st %d            \r", 
            j++,
            wheel.getPulses(),
            wheel.getCurrentState()
            );
        wait(0.1);
    } 
}
